Skip to main content
Resource Center/Resource Pool/Image Operations
PUTImage OperationsSince 0.6SynchronousAuth Required

ExpungeImage

ExpungeImage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • imageUuidStringRequired

    The image UUID.

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • UuidStringRequired

      The resource UUID.

    • backupStorageUuidsList

      Optional. The backup storage UUID list.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/zstack/v1/images/{imageUuid}/actions

/zstack/v1/images/{imageUuid}/actions

Operation ID

ExpungeImage

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/images/{imageUuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"Uuid":"<Uuid>","backupStorageUuids":["<backupStorageUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history